<?php

namespace Bata\Address;

use User;

class Address
{
    /**
     * $bata object.
     */
    protected $bata;

    /**
     * Constructor.
     */
    public function __construct(\Bata\Address\Interfaces\BataRepositoryInterface $bata)
    {
        $this->bata = $bata;
    }

    /**
     * Returns count of address.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.bata.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->bata->pushCriteria(new \Litepie\Bata\Repositories\Criteria\BataUserCriteria());
        }

        $bata = $this->bata->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('address::' . $view, compact('bata'))->render();
    }
}
