<?php

namespace Bata\Address\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BataTransformer extends TransformerAbstract
{
    public function transform(\Bata\Address\Models\Bata $bata)
    {
        return [
            'id'                => $bata->getRouteKey(),
            'key'               => [
                'public'    => $bata->getPublicKey(),
                'route'     => $bata->getRouteKey(),
            ], 
            'id'                => $bata->id,
            'url'               => [
                'public'    => trans_url('address/'.$bata->getPublicKey()),
                'user'      => guard_url('address/bata/'.$bata->getRouteKey()),
            ], 
            'status'            => trans('app.'.$bata->status),
            'created_at'        => format_date($bata->created_at),
            'updated_at'        => format_date($bata->updated_at),
        ];
    }
}